
#ifndef __RTE__AD_H_
#define __RTE__AD_H_

#include <stdint.h>
#include "adc.h"
#include "RTE_ADC_INTERIM_VERSION.h"

void RTC_ADC_INIT(uint16_t u16Pin);
void RTC_ADC_Converse(ADC_Channel_t ch, uint32_t times, uint16_t *buf);
// void RTC_ADC_Interrupt(void *msg);
void RTC_ADC_Start(ADC_Channel_t ch);
void RTC_ADC_Stop(void);

#endif
